Bug 11805 - Use validation plugin when creating new basket in Acquisitions
Summary: Use validation plugin when creating new basket in Acquisitions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/acqui/basketheader.pl?b...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-20 20:42 UTC by Owen Leonard
Modified: 2014-12-07 20:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11805 - Use validation plugin when creating new basket in Acquisitions (3.52 KB, patch)
2014-02-20 20:46 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed-off] Bug 11805 - Use validation plugin when creating new basket in Acquisitions (3.65 KB, patch)
2014-02-23 21:49 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 11805 - Use validation plugin when creating new basket in Acquisitions (3.86 KB, patch)
2014-02-23 22:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-02-20 20:42:26 UTC
The new basket entry form in Acquisitions uses custom validation JavaScript which can be easily replaced with HTML5 validation attributes in conjunction with Koha's built-in validation plugin (http://jqueryvalidation.org/documentation/).
Comment 1 Owen Leonard 2014-02-20 20:46:22 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-02-23 21:49:14 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-02-23 22:12:55 UTC
Created attachment 25566 [details] [review]
[PASSED QA] Bug 11805 - Use validation plugin when creating new basket in Acquisitions

The page for adding a new basket in Acquisitions includes some custom
form validation JavaScript which can be removed in favor of HTML5
validation attributes and Koha's built-in validation plugin. This patch
does so.

To test, apply the patch and go to Acquisitions -> Choose a vendor ->
New basket. Try submitting the form without entering a basket name. This
should trigger a validation warning.

Submission of the form with valid data should work correctly. Editing an
existing basket should also work correctly.

Patch works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as expected, passes all tests and QA script.
Tried adding a new basket with/without basket name and editing
an existing basket editing/emptying the basket name.
Comment 4 Galen Charlton 2014-02-27 16:09:09 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Fridolin Somers 2014-05-21 10:20:49 UTC
Pushed to 3.14.x, will be in 3.14.07